---
title: "AutoScout24 API: Search | Perceptlayer"
description: "Search from AutoScout24 as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/autoscout24/search
---

[APIs](https://perceptlayer.com/apis) / [AutoScout24](https://perceptlayer.com/apis/autoscout24) / Search

# AutoScout24: Search

Search from AutoScout24 as JSON. 1 credit per successful call.

GET `/v1/autoscout24/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `market` | string | Optional | de, at, be, it, fr, nl, es, com, pl |
| `make_id` | string | Optional | Up to 12 characters |
| `model_id` | string | Optional | Up to 12 characters |
| `price_min` | integer | Optional | Any |
| `price_max` | integer | Optional | Any |
| `mileage_min` | integer | Optional | Any |
| `mileage_max` | integer | Optional | Any |
| `registration_year_min` | integer | Optional | Any |
| `registration_year_max` | integer | Optional | Any |
| `power_min` | integer | Optional | Any |
| `power_max` | integer | Optional | Any |
| `power_unit` | string | Optional | kw, ps |
| `fuel[]` | list of string | Optional | 2, 3, B, C, D, E, H, L, M, O |
| `transmission[]` | list of string | Optional | A, M, S |
| `body_type[]` | list of integer | Optional | 1, 2, 3, 4, 5, 6, 7, 12, 13 |
| `equipment[]` | list of integer | Optional | Any |
| `seller_type` | string | Optional | dealer, private |
| `offer` | string | Optional | new, used, annual, N, U, J |
| `usage_state[]` | list of string | Optional | N, U |
| `zip` | string | Optional | Up to 12 characters |
| `radius` | integer | Optional | Any |
| `sort` | string | Optional | standard, price, age, mileage, year, power, make, distance, financerate, leasing\_rate |
| `order` | string | Optional | asc, desc |
| `page` | integer | Optional | Any |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/autoscout24/search?market=de&make_id=13&model_id=1639&price_min=5000&price_max=20000&sort=price&page=2&limit=20" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/autoscout24?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
